"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ProgressBar() {
    const { state } = (0, react_1.useContext)(context_1.default);
    const currentQuestion = state === null || state === void 0 ? void 0 : state.quiz.currentQuestion;
    if (!(currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.next_question))
        return null;
    return (react_1.default.createElement("div", { className: 'cio-question-progress-affixed-container' },
        react_1.default.createElement("div", { className: 'cio-question-progress-progress-container' },
            react_1.default.createElement("div", { className: 'cio-question-progress-progress-bar', style: {
                    width: `${((currentQuestion.next_question.id - 1) / currentQuestion.total_questions) * 100}%`,
                } }))));
}
exports.default = ProgressBar;
