"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const ShareSVG_1 = tslib_1.__importDefault(require("./ShareSVG"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ShareButton(props) {
    const { shareText = 'Share Results', disabled, onClick } = props, rest = tslib_1.__rest(props, ["shareText", "disabled", "onClick"]);
    const { getShareResultsButtonProps } = (0, react_1.useContext)(context_1.default);
    if (getShareResultsButtonProps) {
        return (react_1.default.createElement("button", Object.assign({}, rest, getShareResultsButtonProps(), { type: 'button', onClick: onClick }),
            react_1.default.createElement(ShareSVG_1.default, null),
            react_1.default.createElement("span", null, shareText)));
    }
    return null;
}
exports.default = ShareButton;
